com.ihr.xbrl.om

## Class LocalResourceURIResolver

- java.lang.Object
- - com.ihr.xbrl.om.LocalResourceURIResolver

- All Implemented Interfaces:
    DTSCascadeSchemaURIResolver, DTSCascadeURIResolver, java.io.Serializable, javax.xml.transform.URIResolver, net.sf.saxon.lib.SchemaURIResolver, org.xml.sax.EntityResolver

      public class LocalResourceURIResolver
      extends java.lang.Object
      implements DTSCascadeSchemaURIResolver, org.xml.sax.EntityResolver

  This class uses the local resoures packaged inside the JAR file and accesible using the XBRL class to locate schemas.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalResourceURIResolver(net.sf.saxon.lib.SchemaURIResolver nextResolver)` Instantiates a new local resource uri resolver.
    `LocalResourceURIResolver(javax.xml.transform.URIResolver nextResolver)` Instantiates a new local resource uri resolver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.URIResolver` | `getNextResolver()` The next resolved in the cascade. null means this is the last resolver
    `net.sf.saxon.lib.SchemaURIResolver` | `getNextSchemaResolver()` Return the next SchemaURIResolver.
    `javax.xml.transform.Source` | `resolve(java.lang.String href, java.lang.String base)`
    `javax.xml.transform.Source[]` | `resolve(java.lang.String targetNamespace, java.lang.String baseURI, java.lang.String[] locations)`
    `org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
    `void` | `setConfiguration(net.sf.saxon.Configuration config)`
    `void` | `setNextResolver(net.sf.saxon.lib.SchemaURIResolver newNextResolver)` Establish the next SchemaURIResolver.
    `void` | `setNextResolver(javax.xml.transform.URIResolver newNextResolver)` Sets the next resolver to the resolver specified in the parameter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalResourceURIResolver

          public LocalResourceURIResolver(javax.xml.transform.URIResolver nextResolver)

      Instantiates a new local resource uri resolver.
      Parameters:
        `nextResolver` - the next resolver

    - #### LocalResourceURIResolver

          public LocalResourceURIResolver(net.sf.saxon.lib.SchemaURIResolver nextResolver)

      Instantiates a new local resource uri resolver.
      Parameters:
        `nextResolver` - the next resolver

  - ### Method Detail

    - #### resolve

          public javax.xml.transform.Source resolve(java.lang.String href,
                                           java.lang.String base)
                                             throws javax.xml.transform.TransformerException

      Specified by:
        `resolve` in interface `javax.xml.transform.URIResolver`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### resolve

          public javax.xml.transform.Source[] resolve(java.lang.String targetNamespace,
                                             java.lang.String baseURI,
                                             java.lang.String[] locations)
                                               throws net.sf.saxon.trans.XPathException

      Specified by:
        `resolve` in interface `net.sf.saxon.lib.SchemaURIResolver`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                              java.lang.String systemId)
                                                throws org.xml.sax.SAXException,
                                                       java.io.IOException

      Specified by:
        `resolveEntity` in interface `org.xml.sax.EntityResolver`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### setConfiguration

          public void setConfiguration(net.sf.saxon.Configuration config)

      Specified by:
        `setConfiguration` in interface `net.sf.saxon.lib.SchemaURIResolver`

    - #### getNextResolver

          public javax.xml.transform.URIResolver getNextResolver()

      Description copied from interface: `DTSCascadeURIResolver`
      The next resolved in the cascade. null means this is the last resolver
      Specified by:
        `getNextResolver` in interface `DTSCascadeURIResolver`
      Returns:
        URIResolver

    - #### setNextResolver

          public void setNextResolver(javax.xml.transform.URIResolver newNextResolver)

      Description copied from interface: `DTSCascadeURIResolver`
      Sets the next resolver to the resolver specified in the parameter.
      Specified by:
        `setNextResolver` in interface `DTSCascadeURIResolver`
      Parameters:
        `newNextResolver` - the new next resolver

    - #### setNextResolver

          public void setNextResolver(net.sf.saxon.lib.SchemaURIResolver newNextResolver)

      Description copied from interface: `DTSCascadeSchemaURIResolver`
      Establish the next SchemaURIResolver. It is recommended the new class implements also URIResolver
      Specified by:
        `setNextResolver` in interface `DTSCascadeSchemaURIResolver`
      Parameters:
        `newNextResolver` - the new next resolver

    - #### getNextSchemaResolver

          public net.sf.saxon.lib.SchemaURIResolver getNextSchemaResolver()

      Description copied from interface: `DTSCascadeSchemaURIResolver`
      Return the next SchemaURIResolver.
      Specified by:
        `getNextSchemaResolver` in interface `DTSCascadeSchemaURIResolver`
      Returns:
        the next schema resolver